Bug 121953 - (workaround) openoffice.org-2.3.1 hangs with Glib errors
Summary: (workaround) openoffice.org-2.3.1 hangs with Glib errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-openoffice (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-22 05:00 UTC by Dwayne MacKinnon
Modified: 2008-04-08 01:44 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dwayne MacKinnon 2008-03-22 05:00:03 UTC
I recently set up my FreeBSD machine with multiple user accounts for the first time to accomodate some house guests. When I did so, I discovered that openoffice.org-2.3.1 would hang when it attempted to open a document of any kind. Running it from the console produced these glib errors:

(process:82983): GLib-GObject-CRITICAL **: gtype.c:2242: initialization assertion failed, use IA__g_type_init() prior to this function

(process:82983): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(process:82983): GLib-GObject-CRITICAL **: g_object_new: assertion `G_TYPE_IS_OBJECT (object_type)' failed

This occured for my new users only; my own account was unaffected, So, I attempted to track down the problem. I soon discovered that it was my .openoffice.org-2 directory with its config information that was the key.

I tracked the problem down to .openoffice.org2/user/config/soffice.cfg/modules directory.

In my original account, there were subdirectories for scalc and swriter as well as the StartModule directory. In the new account, neither of those subdirectories (scalc or swriter) existed.

Copying either directory to .openoffice.org2/user/config/soffice.cfg/modules solved the problem.

Fix: 

I only have the workaround I mentioned above; I will be happy to provide the contents of either directory if people believe it would be useful.
How-To-Repeat: Install openoffice.org-2.3.1. In a new user account, open the program, and after filling out the initial information, try to open a document.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-03-22 06:12:32 UTC
Responsible Changed
From-To: freebsd-bugs->openoffice

Make this a ports PR and assign.
Comment 2 Mark Linimon 2008-04-02 01:03:36 UTC
----- Forwarded message from Marcin Cieslak <saper@system.pl> -----

Can you try adding --with-system-zlib to your port Makefile
CONFIGURE_ARGS and recompile OpenOffice?

--- Makefile    28 Mar 2008 22:26:03 -0000      1.295
+++ Makefile    31 Mar 2008 23:34:46 -0000
@@ -140,7 +140,8 @@
 CONFIGURE_ARGS+=       --with-gnu-cp=${LOCALBASE}/bin/gcp              \
                        --with-gnu-patch=${LOCALBASE}/bin/gpatch        \
                        --enable-crashdump=yes                          \
-                       --enable-symbols=SMALL
+                       --enable-symbols=TRUE                           \
+                       --with-system-zlib
 .if ${ARCH} == amd64
 WITHOUT_MOZILLA=       yes
 LIB_DEPENDS+=          boost_regex:${PORTSDIR}/devel/boost

I think this is it:

http://lists.freebsd.org/pipermail/freebsd-openoffice/2007-December/003453.html

--Marcin

----- End forwarded message -----
Comment 3 Marcin Cieslak 2008-04-05 11:38:54 UTC
Dwayne MacKinnon wrote:

>> --- Makefile    28 Mar 2008 22:26:03 -0000      1.295
>> +++ Makefile    31 Mar 2008 23:34:46 -0000
>> @@ -140,7 +140,8 @@
>>  CONFIGURE_ARGS+=       --with-gnu-cp=${LOCALBASE}/bin/gcp              \
>>                         --with-gnu-patch=${LOCALBASE}/bin/gpatch        \
>>                         --enable-crashdump=yes                          \
>> -                       --enable-symbols=SMALL
>> +                       --enable-symbols=TRUE                           \
>> +                       --with-system-zlib
>>  .if ${ARCH} == amd64
>>  WITHOUT_MOZILLA=       yes
>>  LIB_DEPENDS+=          boost_regex:${PORTSDIR}/devel/boost
>>
>> I think this is it:
>>
>> http://lists.freebsd.org/pipermail/freebsd-openoffice/2007-December/003453.
>> html
>>
>> --Marcin
> 
> Hello Marcin,
> 
> I recompiled with the suggested config flags, and didn't get any more useful 
> information. However, I experimented some more, and narrowed down the 
> behavior better.
> 
> The problem seems to involve this file: 
> $HOME/.config/autostart/qstart-desktop. No matter what, the first time you 
> run openoffice.org-2.4  with a new user (ie no .openoffice.org2 directory) 
> the program will hang with the errors I listed when you attempt to open a 
> file.
> 
> If the qstart.desktop file is left as is (it's a symbolic link 
> to /usr/local/openoffice.org-2.4.0/share/xdg/qstart.desktop), the file will 
> hang with the errors I listed every time you try to open a file. However, if 
> you remove the link, or set it to a non-existant file, the program will work 
> after the first time, and work thereafter with no problems.


What compilation options are you using? I assume you have WITH_KDE=yes, 
what else? Can you try turning the quick start feature off?

On my OOO 2.4 without KDE integration everything works fine.

-- 
               << Marcin Cieslak // saper@system.pl >>
Comment 4 dfilter service freebsd_committer 2008-04-06 06:11:27 UTC
maho        2008-04-06 05:11:20 UTC

  FreeBSD ports repository

  Modified files:
    editors/openoffice.org-2 Makefile 
    editors/openoffice.org-2/files Makefile.knobs 
                                   Makefile.localized 
    editors/openoffice.org-2-RC Makefile 
    editors/openoffice.org-2-RC/files Makefile.knobs 
                                      Makefile.localized 
    editors/openoffice.org-2-devel Makefile 
    editors/openoffice.org-2-devel/files Makefile.knobs 
                                         Makefile.localized 
    editors/openoffice.org-3-devel Makefile 
    editors/openoffice.org-3-devel/files Makefile.knobs 
                                         Makefile.localized 
                                         Makefile.others 
  Added files:
    editors/openoffice.org-2/files patch-i75190 
    editors/openoffice.org-2-RC/files patch-i75190 
    editors/openoffice.org-2-devel/files patch-i75190 
    editors/openoffice.org-3-devel/files patch-i75190 
  Log:
  1. For all language build "all" to "alllangs".
  2. Fix hang "Glib bug".
     http://qa.openoffice.org/issues/show_bug.cgi?id=75190
     Bump port revision for openoffice.org-2 port accordingly.
  3. Fix language pack builds for openoffice.org-3-devel port.
  
  PR: 121953 (2)
  Submitted by:   Dwayne MacKinnon and Marcin Cieslak  (will be SCAed; saperski@openoffice.org) (2)
  
  Revision  Changes    Path
  1.330     +2 -2      ports/editors/openoffice.org-2-RC/Makefile
  1.51      +4 -4      ports/editors/openoffice.org-2-RC/files/Makefile.knobs
  1.17      +2 -2      ports/editors/openoffice.org-2-RC/files/Makefile.localized
  1.1       +107 -0    ports/editors/openoffice.org-2-RC/files/patch-i75190 (new)
  1.359     +2 -2      ports/editors/openoffice.org-2-devel/Makefile
  1.51      +4 -4      ports/editors/openoffice.org-2-devel/files/Makefile.knobs
  1.17      +2 -2      ports/editors/openoffice.org-2-devel/files/Makefile.localized
  1.1       +107 -0    ports/editors/openoffice.org-2-devel/files/patch-i75190 (new)
  1.299     +3 -3      ports/editors/openoffice.org-2/Makefile
  1.51      +4 -4      ports/editors/openoffice.org-2/files/Makefile.knobs
  1.18      +2 -2      ports/editors/openoffice.org-2/files/Makefile.localized
  1.1       +107 -0    ports/editors/openoffice.org-2/files/patch-i75190 (new)
  1.365     +3 -3      ports/editors/openoffice.org-3-devel/Makefile
  1.51      +5 -5      ports/editors/openoffice.org-3-devel/files/Makefile.knobs
  1.18      +2 -3      ports/editors/openoffice.org-3-devel/files/Makefile.localized
  1.10      +7 -3      ports/editors/openoffice.org-3-devel/files/Makefile.others
  1.1       +107 -0    ports/editors/openoffice.org-3-devel/files/patch-i75190 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Maho Nakata freebsd_committer 2008-04-08 01:44:20 UTC
State Changed
From-To: open->closed

Committed, thanks!